Get Account Tokens (paginated)
curl --request GET \
--url https://api.adamik.io/api/{chainId}/account/{accountId}/state/tokens \
--header 'Authorization: <api-key>'import requests
url = "https://api.adamik.io/api/{chainId}/account/{accountId}/state/tokens"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.adamik.io/api/{chainId}/account/{accountId}/state/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adamik.io/api/{chainId}/account/{accountId}/state/tokens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.adamik.io/api/{chainId}/account/{accountId}/state/tokens"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.adamik.io/api/{chainId}/account/{accountId}/state/tokens")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adamik.io/api/{chainId}/account/{accountId}/state/tokens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"chainId": "algorand",
"accountId": "<string>",
"balances": {
"tokens": [
{
"token": {
"type": "TRC10",
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"decimals": "<string>",
"contractAddress": "<string>"
},
"amount": "<string>"
}
]
},
"pagination": {
"nextPage": "<string>"
}
}Account
Get Account Tokens (paginated)
Returns the tokens (amount and details) held by a specified account identifier and chain ID. This endpoint allows for pagination over the returned tokens.
GET
/
api
/
{chainId}
/
account
/
{accountId}
/
state
/
tokens
Get Account Tokens (paginated)
curl --request GET \
--url https://api.adamik.io/api/{chainId}/account/{accountId}/state/tokens \
--header 'Authorization: <api-key>'import requests
url = "https://api.adamik.io/api/{chainId}/account/{accountId}/state/tokens"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.adamik.io/api/{chainId}/account/{accountId}/state/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adamik.io/api/{chainId}/account/{accountId}/state/tokens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.adamik.io/api/{chainId}/account/{accountId}/state/tokens"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.adamik.io/api/{chainId}/account/{accountId}/state/tokens")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adamik.io/api/{chainId}/account/{accountId}/state/tokens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"chainId": "algorand",
"accountId": "<string>",
"balances": {
"tokens": [
{
"token": {
"type": "TRC10",
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"decimals": "<string>",
"contractAddress": "<string>"
},
"amount": "<string>"
}
]
},
"pagination": {
"nextPage": "<string>"
}
}Path Parameters
Available options:
algorand, cosmoshub, cosmoshub-testnet, osmosis, osmosis-testnet, celestia, celestia-testnet, dydx, axelar, ethereum, sepolia, holesky, base, base-sepolia, optimism, optimism-sepolia, arbitrum, arbitrum-sepolia, polygon, polygon-amoy, bsc, bsc-testnet, linea, linea-sepolia, avalanche, avalanche-fuji, gnosis, gnosis-chiado, moonbeam, moonriver, moonbase, fantom, ton, injective, akash, band, dymension, kyve, terra2, stargaze, tron, evmos, irisnet, juno, lum-network, omniflix, sei, medibloc, passage, quasar, seda, sommelier, shentu, stride, chihuahua, bitsong, persistence, comdex, fetch-ai, humans-ai, ki, likecoin, provenance, quicksilver, saga, kava, starknet, starknet-sepolia, babylon, babylon-testnet, monad-testnet, cronos, world-chain, solana, aptos, aptos-testnet, stellar, stellar-testnet Query Parameters
Response
200 - application/json
Returns the current tokens information for the specified address and chain ID.
Available options:
algorand, cosmoshub, cosmoshub-testnet, osmosis, osmosis-testnet, celestia, celestia-testnet, dydx, axelar, ethereum, sepolia, holesky, base, base-sepolia, optimism, optimism-sepolia, arbitrum, arbitrum-sepolia, polygon, polygon-amoy, bsc, bsc-testnet, linea, linea-sepolia, avalanche, avalanche-fuji, gnosis, gnosis-chiado, moonbeam, moonriver, moonbase, fantom, ton, injective, akash, band, dymension, kyve, terra2, stargaze, tron, evmos, irisnet, juno, lum-network, omniflix, sei, medibloc, passage, quasar, seda, sommelier, shentu, stride, chihuahua, bitsong, persistence, comdex, fetch-ai, humans-ai, ki, likecoin, provenance, quicksilver, saga, kava, starknet, starknet-sepolia, babylon, babylon-testnet, monad-testnet, cronos, world-chain, solana, aptos, aptos-testnet, stellar, stellar-testnet Was this page helpful?